iwlwifi 0000:01:00.0: fail to flush all tx fifo queues Q 2

Bug #1270808 reported by Cristian Aravena Romero on 2014-01-20
142
This bug affects 28 people
Affects Status Importance Assigned to Milestone
Linux
Unknown
Unknown
linux (Ubuntu)
Medium
Seth Forshee
linux-firmware (Ubuntu)
Medium
Unassigned

Bug Description

profile/gdm" pid=7426 comm="mission-control" requested_mask="r" denied_mask="r" fsuid=115 ouid=0
[ 2390.836955] iwlwifi 0000:01:00.0: fail to flush all tx fifo queues Q 2
[ 2390.836969] iwlwifi 0000:01:00.0: Current SW read_ptr 210 write_ptr 99
[ 2390.837000] iwl data: 00000000: 00 00 fc ff 00 00 00 00 03 00 00 00 00 00 00 00 ................
[ 2390.837019] iwlwifi 0000:01:00.0: FH TRBs(0) = 0x00000000
[ 2390.837036] iwlwifi 0000:01:00.0: FH TRBs(1) = 0x801020e1
[ 2390.837053] iwlwifi 0000:01:00.0: FH TRBs(2) = 0x00000000
[ 2390.837071] iwlwifi 0000:01:00.0: FH TRBs(3) = 0x80300018
[ 2390.837088] iwlwifi 0000:01:00.0: FH TRBs(4) = 0x00000000
[ 2390.837105] iwlwifi 0000:01:00.0: FH TRBs(5) = 0x00000000
[ 2390.837123] iwlwifi 0000:01:00.0: FH TRBs(6) = 0x00000000
[ 2390.837140] iwlwifi 0000:01:00.0: FH TRBs(7) = 0x00709050
[ 2390.837203] iwlwifi 0000:01:00.0: Q 0 is active and mapped to fifo 3 ra_tid 0x0000 [25,25]
[ 2390.837264] iwlwifi 0000:01:00.0: Q 1 is active and mapped to fifo 2 ra_tid 0x0000 [0,0]
[ 2390.837324] iwlwifi 0000:01:00.0: Q 2 is active and mapped to fifo 1 ra_tid 0x0000 [210,99]
[ 2390.837385] iwlwifi 0000:01:00.0: Q 3 is active and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 2390.837446] iwlwifi 0000:01:00.0: Q 4 is active and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 2390.837507] iwlwifi 0000:01:00.0: Q 5 is active and mapped to fifo 4 ra_tid 0x0000 [0,0]
[ 2390.837567] iwlwifi 0000:01:00.0: Q 6 is active and mapped to fifo 2 ra_tid 0x0000 [0,0]
[ 2390.837627] iwlwifi 0000:01:00.0: Q 7 is active and mapped to fifo 5 ra_tid 0x0000 [0,0]
[ 2390.837688] iwlwifi 0000:01:00.0: Q 8 is active and mapped to fifo 4 ra_tid 0x0000 [0,0]
[ 2390.837751] iwlwifi 0000:01:00.0: Q 9 is active and mapped to fifo 7 ra_tid 0x0000 [81,81]
[ 2390.837814] iwlwifi 0000:01:00.0: Q 10 is active and mapped to fifo 5 ra_tid 0x0000 [0,0]
[ 2390.837879] iwlwifi 0000:01:00.0: Q 11 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 2390.837943] iwlwifi 0000:01:00.0: Q 12 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 2390.838005] iwlwifi 0000:01:00.0: Q 13 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 2390.838065] iwlwifi 0000:01:00.0: Q 14 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 2390.838126] iwlwifi 0000:01:00.0: Q 15 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 2390.838187] iwlwifi 0000:01:00.0: Q 16 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 2390.838248] iwlwifi 0000:01:00.0: Q 17 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 2390.838308] iwlwifi 0000:01:00.0: Q 18 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 2390.838370] iwlwifi 0000:01:00.0: Q 19 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 2981.173273] iwlwifi 0000:01:00.0: fail to flush all tx fifo queues Q 2
[ 2981.173287] iwlwifi 0000:01:00.0: Current SW read_ptr 103 write_ptr 214
[ 2981.173321] iwl data: 00000000: 00 00 00 00 00 00 00 00 80 ff 3f 00 00 00 00 00 ..........?.....
[ 2981.173342] iwlwifi 0000:01:00.0: FH TRBs(0) = 0x00000000
[ 2981.173363] iwlwifi 0000:01:00.0: FH TRBs(1) = 0x80102075
[ 2981.173380] iwlwifi 0000:01:00.0: FH TRBs(2) = 0x00000000
[ 2981.173397] iwlwifi 0000:01:00.0: FH TRBs(3) = 0x8030001d
[ 2981.173415] iwlwifi 0000:01:00.0: FH TRBs(4) = 0x00000000
[ 2981.173433] iwlwifi 0000:01:00.0: FH TRBs(5) = 0x00000000
[ 2981.173450] iwlwifi 0000:01:00.0: FH TRBs(6) = 0x00000000
[ 2981.173467] iwlwifi 0000:01:00.0: FH TRBs(7) = 0x007090ba
[ 2981.173529] iwlwifi 0000:01:00.0: Q 0 is active and mapped to fifo 3 ra_tid 0x0000 [30,30]
[ 2981.173590] iwlwifi 0000:01:00.0: Q 1 is active and mapped to fifo 2 ra_tid 0x0000 [0,0]
[ 2981.173650] iwlwifi 0000:01:00.0: Q 2 is active and mapped to fifo 1 ra_tid 0x0000 [103,214]
[ 2981.173712] iwlwifi 0000:01:00.0: Q 3 is active and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 2981.173772] iwlwifi 0000:01:00.0: Q 4 is active and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 2981.173832] iwlwifi 0000:01:00.0: Q 5 is active and mapped to fifo 4 ra_tid 0x0000 [0,0]
[ 2981.173920] iwlwifi 0000:01:00.0: Q 6 is active and mapped to fifo 2 ra_tid 0x0000 [0,0]
[ 2981.173981] iwlwifi 0000:01:00.0: Q 7 is active and mapped to fifo 5 ra_tid 0x0000 [0,0]
[ 2981.174041] iwlwifi 0000:01:00.0: Q 8 is active and mapped to fifo 4 ra_tid 0x0000 [0,0]
[ 2981.174102] iwlwifi 0000:01:00.0: Q 9 is active and mapped to fifo 7 ra_tid 0x0000 [187,187]
[ 2981.174162] iwlwifi 0000:01:00.0: Q 10 is active and mapped to fifo 5 ra_tid 0x0000 [0,0]
[ 2981.174223] iwlwifi 0000:01:00.0: Q 11 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 2981.174284] iwlwifi 0000:01:00.0: Q 12 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 2981.174344] iwlwifi 0000:01:00.0: Q 13 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 2981.174404] iwlwifi 0000:01:00.0: Q 14 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 2981.174465] iwlwifi 0000:01:00.0: Q 15 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 2981.174525] iwlwifi 0000:01:00.0: Q 16 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 2981.174586] iwlwifi 0000:01:00.0: Q 17 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 2981.174647] iwlwifi 0000:01:00.0: Q 18 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 2981.174707] iwlwifi 0000:01:00.0: Q 19 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 3106.769330] iwlwifi 0000:01:00.0: fail to flush all tx fifo queues Q 2
[ 3106.769344] iwlwifi 0000:01:00.0: Current SW read_ptr 86 write_ptr 107
[ 3106.769376] iwl data: 00000000: 00 00 c0 ff 00 00 00 00 3f 00 00 00 00 00 00 00 ........?.......
[ 3106.769395] iwlwifi 0000:01:00.0: FH TRBs(0) = 0x00000000
[ 3106.769412] iwlwifi 0000:01:00.0: FH TRBs(1) = 0x80102065
[ 3106.769430] iwlwifi 0000:01:00.0: FH TRBs(2) = 0x00000000
[ 3106.769447] iwlwifi 0000:01:00.0: FH TRBs(3) = 0x8030001e
[ 3106.769465] iwlwifi 0000:01:00.0: FH TRBs(4) = 0x00000000
[ 3106.769482] iwlwifi 0000:01:00.0: FH TRBs(5) = 0x00000000
[ 3106.769499] iwlwifi 0000:01:00.0: FH TRBs(6) = 0x00000000
[ 3106.769517] iwlwifi 0000:01:00.0: FH TRBs(7) = 0x007090f5
[ 3106.769579] iwlwifi 0000:01:00.0: Q 0 is active and mapped to fifo 3 ra_tid 0x0000 [31,31]
[ 3106.769640] iwlwifi 0000:01:00.0: Q 1 is active and mapped to fifo 2 ra_tid 0x0000 [0,0]
[ 3106.769700] iwlwifi 0000:01:00.0: Q 2 is active and mapped to fifo 1 ra_tid 0x0000 [86,107]
[ 3106.769761] iwlwifi 0000:01:00.0: Q 3 is active and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 3106.769822] iwlwifi 0000:01:00.0: Q 4 is active and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 3106.769882] iwlwifi 0000:01:00.0: Q 5 is active and mapped to fifo 4 ra_tid 0x0000 [0,0]
[ 3106.769942] iwlwifi 0000:01:00.0: Q 6 is active and mapped to fifo 2 ra_tid 0x0000 [0,0]
[ 3106.770002] iwlwifi 0000:01:00.0: Q 7 is active and mapped to fifo 5 ra_tid 0x0000 [0,0]
[ 3106.770063] iwlwifi 0000:01:00.0: Q 8 is active and mapped to fifo 4 ra_tid 0x0000 [0,0]
[ 3106.770124] iwlwifi 0000:01:00.0: Q 9 is active and mapped to fifo 7 ra_tid 0x0000 [246,246]
[ 3106.770184] iwlwifi 0000:01:00.0: Q 10 is active and mapped to fifo 5 ra_tid 0x0000 [0,0]
[ 3106.770246] iwlwifi 0000:01:00.0: Q 11 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 3106.770306] iwlwifi 0000:01:00.0: Q 12 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 3106.770366] iwlwifi 0000:01:00.0: Q 13 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 3106.770426] iwlwifi 0000:01:00.0: Q 14 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 3106.770486] iwlwifi 0000:01:00.0: Q 15 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 3106.770547] iwlwifi 0000:01:00.0: Q 16 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 3106.770607] iwlwifi 0000:01:00.0: Q 17 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 3106.770669] iwlwifi 0000:01:00.0: Q 18 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 3106.770729] iwlwifi 0000:01:00.0: Q 19 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 7065.094473] iwlwifi 0000:01:00.0: fail to flush all tx fifo queues Q 2
[ 7065.094487] iwlwifi 0000:01:00.0: Current SW read_ptr 224 write_ptr 45
[ 7065.094519] iwl data: 00000000: 00 00 00 00 00 00 00 00 ff ff 00 00 00 00 00 00 ................
[ 7065.094537] iwlwifi 0000:01:00.0: FH TRBs(0) = 0x00000000
[ 7065.094555] iwlwifi 0000:01:00.0: FH TRBs(1) = 0x801020ef
[ 7065.094572] iwlwifi 0000:01:00.0: FH TRBs(2) = 0x00000000
[ 7065.094589] iwlwifi 0000:01:00.0: FH TRBs(3) = 0x8030003f
[ 7065.094607] iwlwifi 0000:01:00.0: FH TRBs(4) = 0x00000000
[ 7065.094624] iwlwifi 0000:01:00.0: FH TRBs(5) = 0x00000000
[ 7065.094641] iwlwifi 0000:01:00.0: FH TRBs(6) = 0x00000000
[ 7065.094658] iwlwifi 0000:01:00.0: FH TRBs(7) = 0x007090a2
[ 7065.094720] iwlwifi 0000:01:00.0: Q 0 is active and mapped to fifo 3 ra_tid 0x0000 [64,64]
[ 7065.094781] iwlwifi 0000:01:00.0: Q 1 is active and mapped to fifo 2 ra_tid 0x0000 [0,0]
[ 7065.094841] iwlwifi 0000:01:00.0: Q 2 is active and mapped to fifo 1 ra_tid 0x0000 [224,45]
[ 7065.094901] iwlwifi 0000:01:00.0: Q 3 is active and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 7065.094961] iwlwifi 0000:01:00.0: Q 4 is active and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 7065.095021] iwlwifi 0000:01:00.0: Q 5 is active and mapped to fifo 4 ra_tid 0x0000 [0,0]
[ 7065.095081] iwlwifi 0000:01:00.0: Q 6 is active and mapped to fifo 2 ra_tid 0x0000 [0,0]
[ 7065.095142] iwlwifi 0000:01:00.0: Q 7 is active and mapped to fifo 5 ra_tid 0x0000 [0,0]
[ 7065.095203] iwlwifi 0000:01:00.0: Q 8 is active and mapped to fifo 4 ra_tid 0x0000 [0,0]
[ 7065.095265] iwlwifi 0000:01:00.0: Q 9 is active and mapped to fifo 7 ra_tid 0x0000 [163,163]
[ 7065.095324] iwlwifi 0000:01:00.0: Q 10 is active and mapped to fifo 5 ra_tid 0x0000 [0,0]
[ 7065.095386] iwlwifi 0000:01:00.0: Q 11 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 7065.095446] iwlwifi 0000:01:00.0: Q 12 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 7065.095507] iwlwifi 0000:01:00.0: Q 13 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 7065.095567] iwlwifi 0000:01:00.0: Q 14 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 7065.095628] iwlwifi 0000:01:00.0: Q 15 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 7065.095688] iwlwifi 0000:01:00.0: Q 16 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 7065.095749] iwlwifi 0000:01:00.0: Q 17 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 7065.095809] iwlwifi 0000:01:00.0: Q 18 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
[ 7065.095869] iwlwifi 0000:01:00.0: Q 19 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-4-generic 3.13.0-4.19
ProcVersionSignature: Ubuntu 3.13.0-4.19-generic 3.13.0-rc8
Uname: Linux 3.13.0-4-generic x86_64
ApportVersion: 2.13.1-0ubuntu1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: caravena 2037 F.... pulseaudio
 /dev/snd/pcmC0D0p: caravena 2037 F...m pulseaudio
CRDA:
 country CL:
  (2402 - 2482 @ 40), (N/A, 20)
  (5170 - 5250 @ 40), (N/A, 20)
  (5250 - 5330 @ 40), (N/A, 20), DFS
  (5735 - 5835 @ 40), (N/A, 20)
CurrentDesktop: GNOME
Date: Mon Jan 20 09:19:41 2014
HibernationDevice: RESUME=UUID=360bd2d2-4f44-4311-86d6-4781ac81ee87
InstallationDate: Installed on 2013-12-13 (37 days ago)
InstallationMedia: Ubuntu-GNOME 14.04 "Trusty Tahr" - Alpha amd64 (20131213)
MachineType: SAMSUNG ELECTRONICS CO., LTD. 530U3C/530U4C
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-3.13.0-4-generic root=UUID=0c67119c-ddae-476a-b510-142ec598f691 ro rootflags=subvol=@ quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-4-generic N/A
 linux-backports-modules-3.13.0-4-generic N/A
 linux-firmware 1.121
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/15/2013
dmi.bios.vendor: Phoenix Technologies Ltd.
dmi.bios.version: P14AAJ
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: SAMSUNG_NP1234567890
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: FAB1
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 9
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: 0.1
dmi.modalias: dmi:bvnPhoenixTechnologiesLtd.:bvrP14AAJ:bd04/15/2013:svnSAMSUNGELECTRONICSCO.,LTD.:pn530U3C/530U4C:pvr0.1:rvnSAMSUNGELECTRONICSCO.,LTD.:rnSAMSUNG_NP1234567890:rvrFAB1:cvnSAMSUNGELECTRONICSCO.,LTD.:ct9:cvr0.1:
dmi.product.name: 530U3C/530U4C
dmi.product.version: 0.1
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.

tags: added: needs-full-computer-model needs-upstream-testing regression-potential

Cristian Aravena Romero, thank you for reporting this and helping make Ubuntu better. Please answer the following questions:
1a) What specific impact does this have on your ability to use WiFi, if any?
    1b) If you had an actual impact, did you not have this problem in a release prior to Trusty?
2) What is the full computer model as noted on the sticker (ex. NP530U3C-A0BUK)?
3) Could you please test the latest mainline kernel (v3.13, not v3.13-rc8) via https://wiki.ubuntu.com/Kernel/MainlineBuilds and advise to the results?

As well, filing bugs on the kernel.org bugzilla is largely ignored in favor of the appropriate mailing list. Also, your upstream report doesn't have the vast majority of information kernel.org developers want to see when reviewing debug information.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu):
importance: Undecided → Medium
affects: linux (Ubuntu) → linux-firmware (Ubuntu)
Changed in linux-firmware (Ubuntu):
status: Incomplete → Triaged
Emmanuel Grumbach (egrumbach) wrote :

There is a W/A in kernel for this bug:

Please test the patch attached

tags: added: patch
Joseph Salisbury (jsalisbury) wrote :

Thanks for the patch, Emmanuel!

I'll build a test kernel with this patch and post a link to it shortly.

tags: added: kernel-da-key
removed: needs-upstream-testing
Emmanuel Grumbach (egrumbach) wrote :

FWIW - Seth seems to have picked up the patch already:

https://patchwork.kernel.org/patch/5033871/

users on bugzilla gave good feedback on this patch already, but I'd be glad to get more testing.

Seth Forshee (sforshee) wrote :

Yep, I made a build already. Still working on getting the message out on all the relevant bugs ... might be a good idea to dup them all to one central bug.

http://people.canonical.com/~sforshee/lp1361809/linux-3.13.0-37.64+lp1361809v201410060628/

Seth Forshee (sforshee) wrote :

Note that the test build in comment #6 is for trusty. I've also got a test build for utopic:

http://people.canonical.com/~sforshee/lp1328345/linux-3.16.0-20.27+lp1328345v201410061136/

Changed in linux (Ubuntu):
status: New → Incomplete
importance: Undecided → Medium
Emmanuel Grumbach (egrumbach) wrote :

Note that this bug has been reported to be fixed by the proposed patch.
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1361809/comments/7

Seth Forshee (sforshee) wrote :

I've posted some more up-to-date test builds here, which include the patch Emmanuel is referring to.

http://people.canonical.com/~sforshee/iwlwifi/

Download full text (4.9 KiB)

Hi,

Thanks for the patch @sforshee! My WLAN experience has improved quite a bit. I now believe my router also has problems, but that's another issue for my ISP.

I only have this error in /var/log/syslog to report:

Nov 1 08:59:14 loneliverse kernel: [ 2225.990764] ------------[ cut here ]------------
Nov 1 08:59:14 loneliverse kernel: [ 2225.990773] WARNING: CPU: 7 PID: 222 at /tmp/kernel-sforshee-IXMwpI4I/build/fs/proc/generic.c:522 remove_proc_entry+0x19f/0x1b0()
Nov 1 08:59:14 loneliverse kernel: [ 2225.990775] remove_proc_entry: removing non-empty directory 'fs/nfsfs', leaking at least 'volumes'
Nov 1 08:59:14 loneliverse kernel: [ 2225.990776] Modules linked in: ctr ccm cuse bnep rfcomm bluetooth nfsd binfmt_misc auth_rpcgss nfs_acl nfs lockd sunrpc fscache snd_hda_codec_realtek snd_hda_codec_hdmi arc4 iwldvm snd_hda_intel mac80211 snd_hda_codec x86_pkg_temp_thermal intel_powerclamp snd_hwdep snd_pcm coretemp snd_page_alloc snd_seq_midi snd_seq_midi_event radeon snd_rawmidi kvm_intel snd_seq uvcvideo kvm videobuf2_vmalloc videobuf2_memops videobuf2_core iwlwifi snd_seq_device videodev ttm snd_timer cfg80211 shpchp snd mei_me joydev rtsx_pci_ms soundcore mei serio_raw memstick lpc_ich mac_hid parport_pc ppdev lp parport dm_crypt ses enclosure usb_storage hid_generic usbhid hid rtsx_pci_sdmmc crct10dif_pclmul crc32_pclmul ghash_clmulni_intel aesni_intel aes_x86_64 lrw gf128mul glue_helper ablk_helper i915 cryptd firewire_ohci ahci psmouse firewire_core r8169 libahci rtsx_pci crc_itu_t mii i2c_algo_bit drm_kms_helper video wmi drm
Nov 1 08:59:14 loneliverse kernel: [ 2225.990822] CPU: 7 PID: 222 Comm: kworker/u16:4 Tainted: G I 3.13.0-38-generic #65+iwlwifi201410162240
Nov 1 08:59:14 loneliverse kernel: [ 2225.990823] Hardware name: Notebook P15SM /P15SM , BIOS 4.6.5 08/06/2013
Nov 1 08:59:14 loneliverse kernel: [ 2225.990827] Workqueue: netns cleanup_net
Nov 1 08:59:14 loneliverse kernel: [ 2225.990828] 0000000000000009 ffff88021e8c3c80 ffffffff8171ece7 ffff88021e8c3cc8
Nov 1 08:59:14 loneliverse kernel: [ 2225.990831] ffff88021e8c3cb8 ffffffff8106773d ffff880035e06f80 0000000000000005
Nov 1 08:59:14 loneliverse kernel: [ 2225.990833] ffffffffa087b948 ffff88021eabcab0 ffff880035e06ff5 ffff88021e8c3d18
Nov 1 08:59:14 loneliverse kernel: [ 2225.990835] Call Trace:
Nov 1 08:59:14 loneliverse kernel: [ 2225.990839] [<ffffffff8171ece7>] dump_stack+0x45/0x56
Nov 1 08:59:14 loneliverse kernel: [ 2225.990842] [<ffffffff8106773d>] warn_slowpath_common+0x7d/0xa0
Nov 1 08:59:14 loneliverse kernel: [ 2225.990855] [<ffffffff810677ac>] warn_slowpath_fmt+0x4c/0x50
Nov 1 08:59:14 loneliverse kernel: [ 2225.990857] [<ffffffff812298ef>] remove_proc_entry+0x19f/0x1b0
Nov 1 08:59:14 loneliverse kernel: [ 2225.990863] [<ffffffffa085b4e2>] nfs_fs_proc_net_exit+0x62/0x70 [nfs]
Nov 1 08:59:14 loneliverse kernel: [ 2225.990868] [<ffffffffa08615b2>] nfs_net_exit+0x12/0x20 [nfs]
Nov 1 08:59:14 loneliverse kernel: [ 2225.990870] [<ffffffff8161b3a9>] ops_exit_list.isra.1+0x39/0x60
Nov 1 08:59:14 loneliverse kernel: [ 2225.990871] [<ffffffff8161bc30>] ...

Read more...

Emmanuel Grumbach (egrumbach) wrote :

This has nothing to do with wireless.

IMHO, this bug should be closed...

Marc Langer (marc-marclanger) wrote :

Is this patch in the mainline kernel now? Or do I still need this special testing kernel?

Emmanuel Grumbach (egrumbach) wrote :

yest and it has been picked-up for 3.16 ( I got an email from Luis H. about this).
I don't know the timeline of the push to users though.

Seth Forshee (sforshee) wrote :

The patch hasn't made it through to the released Ubuntu kernels yet. I'll check on the status and try to accelerate the process if needed, but it always takes several weeks for updates to get released due to the amount of regression testing new kernels are subjected to before they are released.

Changed in linux-firmware (Ubuntu):
status: Triaged → Won't Fix
Changed in linux (Ubuntu):
status: Incomplete → In Progress
assignee: nobody → Seth Forshee (sforshee)
Seth Forshee (sforshee) wrote :

Marking the linux-firmware task as won't fix based on feedback from Intel that the firmware won't be fixed.

Emmanuel Grumbach (egrumbach) wrote :

@Seth:

Thanks for the clarification.

Seth Forshee (sforshee) wrote :

I checked, and the patch is already queued for both trusty and utopic in the next SRU cycle. This means that it won't be in the next kernel update, but the one after that. The next update is already undergoing regression testing so it is too late to get it in for the next kernel update.

I have tried to use the patch at http://people.canonical.com/~sforshee/iwlwifi/utopic/ but it did not solve this problem for me. Please see http://ubuntuforums.org/showthread.php?t=2261475 for further details.

Emmanuel Grumbach (egrumbach) wrote :

of course not.
This patch is relevant for older devices. Not for 7260.
There is a similar patch for 7260 that is on its way upstream.

Robert Ancell (robert-ancell) wrote :

Is this bug present in vivid? I'm getting the drop outs and this error message in dmesg with 3.18.0-11-generic.

Kai Mast (kai-mast) wrote :

Me too (on vivid) and very frequent.
This is really frustrating. Seriously debating if I should switch to windows.

I haven an Intel 7260 chip on a Thinkpad T440s.

madmaze (matthias-a-lee) wrote :

This bug or at least something very similar is present in vivid.

I also tested the 4.0 RC5 kernel, it's also present there.

Emmanuel Grumbach (egrumbach) wrote :

@madmaze - this is different.
You are seeing a NMI_WDG and then the queues get stuck. This a different issue.

Emmanuel Grumbach (egrumbach) wrote :

sorry - I was confused.
This is indeed a stuck queue.
In any case, this is not the same device as the one for which this bug was opened.
You are using a different driver (iwlmvm as opposed to iwldvm).

If you are ready to help debugging this, you can open a bug on bugzilla.kernel.org.
Please look at https://wireless.wiki.kernel.org/en/users/Drivers/iwlwifi#bugzilla

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.